Update Instance Type

View as Markdown

Update an Instance Type by ID.

Org must have an Infrastructure Provider entity that owns the Instance Type. User must have authorization role with PROVIDER_ADMIN suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org
instanceTypeIdstringRequiredformat: "uuid"
ID of the Instance Type

Request

namestring or nullOptional2-256 characters
Name of the Instance Type
descriptionstring or nullOptional
Description of the Instance Type
labelsmap from strings to stringsOptional

User-defined key-value labels for the Instance Type

machineCapabilitieslist of objectsOptional
List of Machine Capabilities to match

Response

OK
idstringOptionalRead-onlyformat: "uuid"
Unique UUID v4 identifier for the Instance Type
namestringOptional2-256 characters
Name of the Instance Type
descriptionstring or nullOptional
Description of the Instance Type
controllerMachineTypestring or nullOptional
Machine type assigned by Site Controller
infrastructureProviderIdstringOptionalformat: "uuid"
ID of the Infrastructure Provider that owns the Instance Type
siteIdstringOptionalformat: "uuid"
ID of the Site that owns the Instance Type
labelsmap from strings to stringsOptional

User-defined key-value labels for the Instance Type

machineCapabilitieslist of objectsOptional
List of capabilities that are supported by the Machine's of this Instance Type
machineInstanceTypeslist of objectsOptional
Available only for Providers
allocationStatsobjectOptional
summary of machine counts by allocation status
statusenumOptional
Status of the Instance Type
statusHistorylist of objectsOptional
Chronological status history for the Instance Type
deprecationslist of objectsOptional
Deprecations active for this resource. Returned only if there are active deprecations.
createddatetimeOptionalRead-only

Date/time when the InstanceType was created

updateddatetimeOptionalRead-only

Date/time when the InstanceType was last updated

Errors

400
Bad Request Error
403
Forbidden Error